# eric7.Plugins.WizardPlugins.MessageBoxWizard.MessageBoxWizardDialog

Module implementing the message box wizard dialog.

### Global Attributes

None

### Classes

MessageBoxWizardDialog | Class implementing the message box wizard dialog.

### Functions

None

## MessageBoxWizardDialog

Class implementing the message box wizard dialog.

It displays a dialog for entering the parameters for the QMessageBox code generator.

### Derived from

QDialog, Ui_MessageBoxWizardDialog

### Class Attributes

None

### Class Methods

None

### Methods

MessageBoxWizardDialog | Constructor
__enabledGroups | Private method to enable/disable some group boxes.
__getButtonCode | Private method to generate the button code.
__testSelectedOptions | Private method to test the selected options.
getCode | Public method to get the source code.
on_bTest_clicked | Private method to test the selected options.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_rAboutQt_toggled | Private slot to handle the toggled signal of the rAboutQt radio button.
on_rAbout_toggled | Private slot to handle the toggled signal of the rAbout radio button.

### Static Methods

None

#### MessageBoxWizardDialog (Constructor)

MessageBoxWizardDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

#### MessageBoxWizardDialog.__enabledGroups

__enabledGroups()

Private method to enable/disable some group boxes.

#### MessageBoxWizardDialog.__getButtonCode

__getButtonCode(istring, indString)

Private method to generate the button code.

istring
  indentation string (string)
indString
  string used for indentation (space or tab) (string)

Return:
  the button code (string)

#### MessageBoxWizardDialog.__testSelectedOptions

__testSelectedOptions()

Private method to test the selected options.

#### MessageBoxWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Return:
  generated code (string)

#### MessageBoxWizardDialog.on_bTest_clicked

on_bTest_clicked()

Private method to test the selected options.

#### MessageBoxWizardDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### MessageBoxWizardDialog.on_rAboutQt_toggled

on_rAboutQt_toggled(on)

Private slot to handle the toggled signal of the rAboutQt radio button.

on
  toggle state (boolean) (ignored)

#### MessageBoxWizardDialog.on_rAbout_toggled

on_rAbout_toggled(on)

Private slot to handle the toggled signal of the rAbout radio button.

on
  toggle state (boolean) (ignored)

Up